#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "valpair.h"


valpair *vpCreate(const char *n, const char *v)
{
  valpair *vp = (valpair *)malloc(sizeof(valpair));

  if (!vp) {
    fprintf(stderr, "vpCreate: malloc failed!\n");
    exit(1);
  }
  vp->name = strdup(n);
  vp->value = strdup(v);
  return vp;
}


void vpDestroy(valpair *vp)
{
  free(vp->value);
  free(vp->name);
  free(vp);
}


